Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.state
Class AbstractDialogState

    java.lang.Object
      |
      +--org.jbrain.qlink.state.AbstractState
            |
            +--org.jbrain.qlink.state.AbstractPhaseState
                  |
                  +--org.jbrain.qlink.state.AbstractDialogState

All Implemented Interfaces:
  QState

Direct Known Subclasses:
  EntryDialogState, InfoDialogState, YesNoMaybeDialogState

public abstract class AbstractDialogState
extends AbstractPhaseState

Field Summary
`protected DialogCallBack` | `_callback`
`protected AbstractDialog` | `_dialog`
`static int` | `PHASE_ALLOCATE`
`static int` | `PHASE_RESPONSE`

Fields inherited from class org.jbrain.qlink.state.AbstractState
`_session`

Constructor Summary
`AbstractDialogState(QSession session, AbstractDialog d, DialogCallBack callback)`

Method Summary
`void` | `activate()`
`boolean` | `execute(Action a)`

Methods inherited from class org.jbrain.qlink.state.AbstractPhaseState
`getPhase, setPhase`

Methods inherited from class org.jbrain.qlink.state.AbstractState
`checkEmail, getName, passivate, terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PHASE_ALLOCATE

    public static final int PHASE_ALLOCATE

See Also:
  Constant Field Values

### PHASE_RESPONSE

    public static final int PHASE_RESPONSE

See Also:
  Constant Field Values

### _dialog

    protected AbstractDialog _dialog

### _callback

    protected DialogCallBack _callback

Constructor Detail

### AbstractDialogState

    public AbstractDialogState(QSession session,
                               AbstractDialog d,
                               DialogCallBack callback)

Method Detail

### activate

    public void activate()
                  throws java.io.IOException

  Specified by:
    `activate` in interface `QState`
  Overrides:
    `activate` in class `AbstractState`
    `java.io.IOException`

### execute

    public boolean execute(Action a)
                    throws java.io.IOException

  Specified by:
    `execute` in interface `QState`
  Overrides:
    `execute` in class `AbstractState`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD